package agents;

/*
 * Created on Oct 12, 2004
 *
 */

/*******************************************************************************
 * Steht nur dumm rum
 * 
 * @author wir
 *  
 ******************************************************************************/
public class Qualselkopf extends Agent {
    int lastTime;
    public void playerInitialization() {
    	baseFunctions.init(infoPool.getTeamName());

        //Die Startposition
        infoPool.setXPlayerStart(-0.1);
        infoPool.setYPlayerStart(0);

        // Die Ruheposition
        infoPool.setXPlayerHome(-7);
        infoPool.setYPlayerHome(25);
        // Der Handlungsbereich
        infoPool.setX1PlayerActingField(-52.5);
        infoPool.setY1PlayerActingField(-34);
        infoPool.setX2PlayerActingField(52.5);
        infoPool.setY2PlayerActingField(34);
        // weitere Variablen
        infoPool.setX1PlayerFreeKickField(-60); //außerhalb, damit er nix tut
        infoPool.setY1PlayerFreeKickField(-60);
        infoPool.setX2PlayerFreeKickField(-60);
        infoPool.setY2PlayerFreeKickField(-60);
    }

    public Qualselkopf(String[] args) {
        super(args);
    }

    /*
     * public void handleKickOffWe(){
     * 
     * try{ sender.kick(25, 0); System.out.println("Ballgeschwindigkeit "
     * +infoPool.getBall().getDistChange() +"\nerrechnete Ballgeschwindigkeit " +
     * infoPool.getBall().getSpeed()); }catch (Exception e){} }
     */
    public void handleKickOffWe() {
        m_parser.setRepeatBroadCast(true);
    }

    public void handlePlayOn(){
    	infoPool.setBallPossession(knowledgeAndTechnics.Intelligence.BALL_POSSESSION_ME); 	    	
    }   
    public static void main(String[] args) {
        Qualselkopf d = new Qualselkopf(args);
        d.start();
    }
}